Subject: Re: http-gw (failed to connect to http server www.xxx.yyy (80))

From: Saverio Armeni <[email-masked]>
Date: Mon, 7 Feb 2000 09:45:50 +0100 (CET)

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

On Sun, 6 Feb 2000, Keith Young wrote:

> Saverio Armeni wrote:
> > 
> > Hi, I've compiled the fwtk toolkit on a linux system (RH6.1, with kernel
> > version 2.2.14).
> > I've tested http-gw in to two different ways:
> >         from inetd
> >         standalone daemon
> > both on 8080 port
> > 
> > That's what i get:
> >  when i connect to the proxy from a http browser, i get the error message
> >         failed to connect to http server www.xxx.yyy (80)
> > or
> >         Network connection closed during write
> 
> No idea... have you looked at your routing to get to www.xxx.yyy?

Yes with ip numbers all works fine, and when i disable the proxy in my
browser there are no problems with my dns, it works fine with a naming
caching server (named daemon on Linux machine configured as in
HOWTO-DNS) and with a "direct" connection with my isp dns.
I've tested the conn_server(...) and the net_connect(...) functions, and
standalone these function works very well, something happens when these
functions are called in http-gw.c   

> Anything showing in the logs? Which version of the FWTK are you using?

No other messages in the logs.
I've used the latest version of fwtk available: 2.1 in may, but the same
thinks happens with release 2.1 in february.
It's possible that there are some problems using the glibc-2.1 instead of
using old glibc-2.0 version?

> 
> You might want to add the answers to the above questions and post them
> to the FWTK user's mailing list. Address info is at:
> 	http://www.fwtk.org/fwtk/download/downloading.html#3.2
> 
> Cheers,
> 
> --Keith
> [email-masked]
>